IBM Endpoint Manager Platform Support Policy

Preventive Service Planning


Abstract

Platforms supported by the various IEM (TEM/BigFix) components.

Content

Note: This document is for legacy historical purposes to provide information for prior support of the basic platform modules.
For current release information please see the following documentation:


Supported platforms

Clients
  • Android (ARM) versions 2.2, 2.3.x, 3.x, 4.x (includes phones and tablets)
  • Apple iOS 4.x. 5.x, 6.x, 7.x, 8.0 (includes iPhone, iPad, and iPod Touch)
  • CentOS 4 (x86/x64) -- BigFix 8.0 - 8.2
  • CentOS 5 (x86/x64) -- BigFix 8.0+
  • CentOS 6 (x86/x64) -- TEM 8.2+
  • Debian 5 (x86/x64) -- TEM 8.1+
  • Debian 6 (x86/x64) -- IEM 9.0+
  • Debian 7 (x86/x64) -- IEM 9.0.777+
  • HPUX 11.00 (RISC) -- BigFix 3.0 - 8.1
  • HPUX 11.11 (RISC) -- BigFix 3.0+
  • HPUX 11.23 (RISC) -- BigFix 6.0+
  • HPUX 11.23 (Itanium) -- BigFix 7.0.2.103+ (in compatibility mode)
  • HPUX 11.31 -- BigFix 8.0+
  • IBM AIX 5.1/5.2 (PowerPC) (Any TL) -- BigFix 3.0 - 8.1
  • IBM AIX 5.3 (PowerPC) (TL < 8): BigFix 3.0 - 8.1
  • IBM AIX 5.3 (PowerPC) (TL 8+): BigFix 3.0 - 9.1
  • IBM AIX 6.1 (PowerPC) (TL 4+): TEM 8.2+ (TL < 4 is not supported, Power8 hardware requires TL 7+)
  • IBM AIX 7.1 (Any TL): TEM 8.2+ (Power8 hardware requires TL 3+)
  • Mac OS X 10.3 (PowerPC) -- BigFix 5.0 - 7.2
  • Mac OS X 10.3 (x86) -- BigFix 6.0 - 7.2.x
  • Mac OS X 10.4 (PowerPC) -- BigFix 5.0 - 8.2
  • Mac OS X 10.4 (x86) -- BigFix 6.0 - 8.2
  • Mac OS X 10.5 (PowerPC) -- BigFix 6.0.9d55 - 9.0
  • Mac OS X 10.5/10.6 (x86) -- BigFix 6.0.9d55 - 9.0
  • Mac OS X 10.6 -- BigFix 7.2.6.4+
  • Mac OS X 10.7 -- TEM 8.2+
  • Mac OS X 10.8 -- TEM 8.2.1322+
  • Red Hat Linux 8/9 (x86) -- BigFix 3.0 - 8.1
  • Red Hat Enterprise Linux 3 (x86/x64) -- BigFix 5.0 - 8.1
  • Red Hat Enterprise Linux 4 (x86/x64) -- BigFix 5.0 - 8.2
  • Red Hat Enterprise Linux 4 (s390x) (zLinux) -- BigFix 7.2 - 8.2
  • Red Hat Enterprise Linux 5 (x86/x64) -- BigFix 6.0+
  • Red Hat Enterprise Linux 5 (s390x) (zLinux) -- TEM 8.2+
  • Red Hat Enterprise Linux 5.5+ (PowerPC64 BigEndian) -- IEM 9.1.1114+
  • Red Hat Enterprise Linux 6 (x86/x64) -- TEM 8.2+
  • Red Hat Enterprise Linux 6 (s390x) (zLinux) -- TEM 8.2+
  • Red Hat Enterprise Linux 6 (PowerPC64 BigEndian) -- IEM 9.2+
  • Red Hat Enterprise Linux 7 (x86/x64) -- IEM 9.1.1134+
  • Red Hat Enterprise Linux 7 (PowerPC64 BigEndian) -- IEM 9.2+
  • Red Hat Fedora Core Linux 3.0 (x86/x64) -- BigFix 5.0 - 8.1
  • Red Hat Fedora Core Linux 4.0 (x86/x64) -- BigFix 5.0 - 8.1
  • Red Hat Fedora Core Linux 5.0 (x86/x64) -- BigFix 5.0 - 8.1
  • Red Hat Fedora Core Linux 6.0 (x86/x64) -- BigFix 5.0 - 8.1
  • Red Hat Fedora Core Linux 7.0 (x86/x64) -- BigFix 5.0 - 8.1
  • Solaris 7 (SPARC) -- BigFix 3.0 - 7.2
  • Solaris 8 (SPARC) -- BigFix 3.0 - 8.2
  • Solaris 9/10 (SPARC) -- BigFix 3.0+
  • Solaris 10 (x86) -- BigFix 6.0+ (Note: The Solaris 10 TEM Client is the same as used on Solaris 9)
  • Solaris 11 (SPARC) -- TEM 8.2.1310+ (Note: No support for IPV6 or client UI on Solaris 11 in TEM 8.2)
  • Solaris 11 (x86) -- TEM 8.2.1310+ (Note: No support for IPV6 or client UI on Solaris 11 in TEM 8.2)
  • SuSE Linux 8 (SLED/SLES) (x86) -- BigFix 5.0 -- 8.2
  • SuSE Linux 9 (SLED/SLES) (x86) -- BigFix 5.0 - 9.0
  • SuSE Linux 9 (SLED/SLES) (x64) -- BigFix 5.1 - 9.0 (Note: BigFix 5.1 support did not provide inspector support for accessing the rpm database)
  • SuSE Linux 10 (SLED/SLES) (x86) -- BigFix 5.0+
  • SuSE Linux 10 (SLED/SLES) (x64) -- BigFix 7.0+
  • SuSE Linux 10 (s390x) (zLinux) -- TEM 8.2+
  • SuSE Linux 10 (PowerPC64 BigEndian) -- IEM 9.2+
  • SuSE Linux 11 (SLED/SLES) (x86/x64) -- BigFix 8.0+
  • SuSE Linux 11 (s390x) (zLinux) -- TEM 8.2+
  • SuSE Linux 11 (PowerPC64 BigEndian) -- IEM 9.2+
  • Ubuntu 8.04 LTS (x86/x64) -- TEM 8.1+
  • Ubuntu 10.04 LTS (x86/x64) -- TEM 8.1+
  • Ubuntu 12.04 LTS (x86/x64) -- IEM 9.0+
  • Ubuntu 14.04 LTS (x86/x64) -- IEM 9.1.1134+
  • VMWare ESX Server 3 -- BigFix 7.0 - 8.2
  • VMWare ESX Server 3.5 -- BigFix 7.1 - 8.2
  • VMWare ESX Server 4 -- BigFix 7.2.4.75+
  • VMWare ESX Server 4.1 -- TEM 8.1+
  • VMWare ESXi Server 4.1 -- IEM 9.0+ (via management extender)
  • VMWare ESXi Server 5.0 -- IEM 9.0+ (via management extender)
  • VMWare ESXi Server 5.1 -- IEM 9.0+ (via management extender)
  • Windows NT SP6a/95/98/Me with IE 4.01+ (x86) – BigFix 1.0 – 7.2.x
  • Windows 2000 with IE 4.01+ (x86) -- BigFix 1.0 - 8.2
  • Windows XP/2003 with IE 4.01+ (x86) -- BigFix 1.0+ (Note: IEM 9.0.777+ requires XP SP3 or 2003 SP2)
  • Windows 2003/XP (x64)(including Windows 2003 R2) -- BigFix 5.0+ works on x64, but BigFix 6.0+ provides full support for x64 parts of the file system/registry
  • Windows Vista (x86/x64) -- BigFix 6.0.15+
  • Windows 2003 (Itanium) -- BigFix 7.0+
  • Windows Server 2008 (x86/x64) -- BigFix 7.0.9+
  • Windows Server 2008 (Itanium) -- BigFix 8.0+
  • Windows Server 2008 Core (x86/x64) -- BigFix 7.2.1.357+
  • Windows Server 2008 R2 -- BigFix 7.2.5.22+
  • Windows Server 2008 R2 Core -- BigFix 8.0+
  • Windows Server 2012 -- TEM 8.2.1310+ (Note: No metro UI support in TEM 8.2)
  • Windows Server 2012 R2 -- IEM 9.0.777+
  • Windows 7 (x86/x64) -- BigFix 7.2.4.60+
  • Windows 8 -- TEM 8.2.1310+ (Note: No metro UI support in TEM 8.2)
  • Windows 8.1 -- IEM 9.0.777+
  • Windows Mobile 5.x, 6.0-6.1, Windows CE 4.x, Pocket PC 2003 -- BigFix 7.2.5.22
  • Windows XP Embedded / Windows Embedded Standard / WePOS / Windows POSReady 2009 -- BigFix 7.2.5.22+
  • Windows Embedded Standard 2009 -- TEM 8.1+
  • Windows Embedded 7 (x86) -- TEM 8.2+
  • Windows Embedded POSReady 7 (x86) -- TEM 8.2+
  • Windows Phone 7,8 -- TEM 8.2+ (via ActiveSync)
  • TEM Client UI for Windows requires a minimum browser of IE 5.0

Console
  • Windows XP/2003 (x86/x64) with IE 5.5/6/7 -- BigFix pre-7.0
  • Windows XP/2003 (x86/x64) with IE 6.0 SP1+/7.0 -- BigFix 7.0 - 9.1
  • Windows Vista (x86) -- BigFix 7.0 - 9.1
  • Windows Vista (x64) -- BigFix 7.0+
  • Windows Server 2008 (x86) -- BigFix 7.1 - 9.1
  • Windows Server 2008 (x64) -- BigFix 7.1+
  • Windows Server 2008 R2 (x64) -- BigFix 8.0+
  • Windows Server 2012 (x64) -- IEM 9.0+
  • Windows 7 (x86) -- BigFix 7.2.4 - 9.1
  • Windows 7 (x64) -- BigFix 7.2.4+
  • Windows 8 (x86) -- IEM 9.0 - 9.1
  • Windows 8 (x64) -- IEM 9.0+
  • BigFix 7.0+ requires Windows Installer 3.1 (Windows 2000 requires SP3 for Windows Installer 3.1).
  • BigFix 7.2 requires Internet Explorer 6+
  • BigFix 8.0+ requires Internet Explorer 7.0+
  • IEM 9.0+ requires Internet Explorer 8.0+
  • IEM 9.2+ requires a 64-bit Windows OS

Server
  • Windows 2000 (x86/x64) with SP2+ -- BigFix 4.1 - 7.2
  • Windows 2003 (x86/x64) with SP2+ -- BigFix 4.1 - 9.1
  • Windows Server 2008 (x86) with SP2+ -- BigFix 7.1 - 9.1
  • Windows Server 2008 (x64) with SP2+ -- BigFix 7.1+
  • Windows Server 2008 R2 (x64) -- BigFix 8.0+
  • Windows Server 2012 (x64) -- IEM 9.0+
  • Red Hat Enterprise Linux 6.3 (x64) -- IEM 9.0+
  • Red Hat Enterprise Linux 7 (x64) -- IEM 9.2+

Database
  • SQL Server 2000 with SP4+ -- BigFix 4.1 - 7.2
  • SQL Server 2005 -- BigFix 6.0+
  • SQL Server 2008 -- BigFix 7.2+
  • SQL Server 2008 R2 -- BigFix 8.0+
  • SQL Server 2012 -- IEM 9.0+
  • SQL Server 2012 R2 -- IEM 9.0+
  • DB2 Workgroup Edition 10.1 -- IEM 9.0+
  • Microsoft SQL Server Desktop Engine (MSDE)* -- BigFix 4.1-7.2
  • SQL Server 2005 Express Edition* -- BigFix 6.0+
Note: Supported configurations for Server/Database support are as follows: Windows/SQL Server and Red Hat/DB2.

Relays
  • Windows NT SP6a (x86) -- BigFix 4.1 - 7.2
  • Windows 2000 (x86/x64) -- BigFix 4.1 - 8.2
  • Windows XP/2003 (x86/x64) -- BigFix 4.1+ (Note: IEM 9.0.777+ requires XP SP3 or 2003 SP2)
  • Windows Vista (x86/x64) -- BigFix 7.0+
  • Windows Server 2008 (x86/x64) -- BigFix 7.0.9+
  • Windows Server 2008 Core (x86/x64) -- BigFix 7.2.1.357+
  • Windows Server 2008 R2 -- BigFix 8.0+
  • Windows Server 2008 R2 Core -- BigFix 8.0+
  • Windows 7 (x86/x64) -- BigFix 8.0+
  • Windows 8 (x86/x64) -- IEM 9.0+
  • Windows Server 2012 -- IEM 9.0+
  • Solaris 10 (x86/SPARC) -- BigFix 8.0+
  • Solaris 11 (x86/SPARC) -- IEM 9.0+
  • Red Hat Enterprise Linux 4 (x86/x64) -- BigFix 8.0 - 8.2
  • Red Hat Enterprise Linux 5 (x86/x64) -- BigFix 8.0+
  • Red Hat Enterprise Linux 6 (x86/x64) -- TEM 8.2+
  • Red Hat Enterprise Linux 7 (x86/x64) -- IEM 9.2+
  • SuSE Linux 11 (x86/x64) -- TEM 8.2+
  • AIX 5.3 -- TEM 8.1 - 9.0
  • AIX 6.1 -- TEM 8.1+
  • AIX 5.3 (PowerPC) -- TEM 8.2+
  • AIX 6.1 (PowerPC) -- TEM 8.2+
  • AIX 7.1 (PowerPC) -- TEM 8.2+

Supported Configurations
  • All components on virtual hardware (please note performance concerns)
  • Major/minor version of TEM Server must equal TEM Console version (i.e., TEM Console and Server must both be at 8.2.x.x)
  • TEM Server must have an equivalent or higher major/minor version than the TEM Relays
  • TEM Server and TEM Relays must have an equivalent or higher major/minor version than the TEM Clients (unless explicitly listed above)

Untested Configurations
Untested configurations are platforms, applications, and software configurations that have not been explicitly tested by IBM. IBM does NOT provide official support for untested configurations. However, due to similarities with other supported configurations, untested configurations often have no known problems or very limited problems. Sometimes untested configurations will become fully supported if IBM is able to do full testing and confirm there are no known issues.

IBM L2 Support will answer support questions related to untested configurations, but due to the fact that there has not been extensive testing, best practices do not recommend using untested configurations on production computers.

TEM Client
  • Solaris 9 (x86)
  • Gentoo
  • BigFix Client UI with IE 4.0
  • Windows Mobile 6.5

TEM Relay
  • Windows 2008 R2 with BigFix Client 7.2.5.22

Configurations
  • IEM Client and/or Relay one major/minor version higher than IEM Server (e.g. IEM 9.1 Server running with IEM 9.2 Clients and/or Relays)

Unsupported Configurations
Working with unsupported configurations can cause unexpected results or problems with your deployment. If you are working with an unsupported configuration, IBM technical support will not be able to assist with any related issues.

Current Unsupported Configurations include:
  • All BigFix components version 7.2 and earlier
  • Operating systems families not listed above
  • Multi code-page deployments

Related information

Tivoli Endpoint Manager Server System Requirements

Rate this page:

(0 users)Average rating

Document information


More support for:

Tivoli Endpoint Manager

Software version:

Version Independent

Operating system(s):

Platform Independent

Software edition:

Edition Independent

Reference #:

1570458

Modified date:

2014-11-17

Translate my page

Machine Translation

Content navigation